import {
  IonAccordion,
  IonAccordionGroup,
  IonItem,
  IonLabel,
} from "@ionic/react";
import { PropsWithChildren } from "react";
import "./DropdownComponent.css";

const DropdownComponent: React.FC<
  {
    name: string;
  } & PropsWithChildren
> = ({ name, children }) => {
  return (
    <IonAccordionGroup>
      <IonAccordion value={name}>
        <IonItem slot="header" color="light">
          <IonLabel>{name}</IonLabel>
        </IonItem>
        <IonItem slot="content">
          <div className="accordion-list-container">{children}</div>
        </IonItem>
      </IonAccordion>
    </IonAccordionGroup>
  );
};
export default DropdownComponent;
